Bug 12476 - Проблема с запуском moin-instance-setup
: Проблема с запуском moin-instance-setup
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/moin)
: unstable
: all Linux
: P2 minor
Assigned To:
:
:
: patch
:
:
  Show dependency tree
 
Reported: 2007-08-06 03:31 by
Modified: 2009-05-10 09:33 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-08-06 03:31:54
При попытке запуска скрипта не находится директория с http-сервера.
Помог вот такой патч:
--- moin-instance-setup.orig    2007-06-20 19:53:24 +0400
+++ moin-instance-setup 2007-08-06 03:16:24 +0400
@@ -12,7 +12,7 @@
 #
 # Instance     AUid:UGid

-HTTPD=`ls -1 /var/log/httpd* | sed 's@.*/\([a-z0-9]*\).*@\1@' | sort -u | tail
-1`
+HTTPD=`ls -1d /var/log/httpd* | sed 's@.*/\([a-z0-9]*\).*@\1@' | sort -u |
tail -1`
 case "`uname`-$HTTPD" in
   Linux-httpd2)
        APACHECFG="/etc/httpd2/conf"

Я не особо вдавался в подробности эвристического анализа, но мне это помогло,
особенно при пересборке образа OpenLectory.
Steps to Reproduce:
1. moin-instance-setup site
2.
3.
Actual Results:  
ERROR: Unknown httpd

Expected Results:  
Created instance....
------- Comment #1 From 2007-08-06 15:32:35 -------
Ну, особого анализа там нет :). Скрипт я переделаю. Одна беда: apache2 в Сизифе
бежит быстро (спасибо solo), особенно в плане конфигов, а я пока привязан к
branch.
------- Comment #2 From 2008-01-25 13:17:55 -------
Видимо, всё откладывается до python5.5 -> moinmoin 1.6.+
------- Comment #3 From 2008-02-15 23:35:48 -------
Дооткладывались? :)
------- Comment #4 From 2008-02-15 23:37:29 -------
python5.5 выпустили? :)
------- Comment #5 From 2008-09-23 12:40:33 -------
Чем плодить ошибки, лучше продолжу здесь: 
moin-1.7.1-alt1

По умолчанию moin-instance-setup создаёт нерабочую конфигурацию из-за 
двух опечаток в скрипте. Опечатки исправлены в git, см. 
http://git.altlinux.org/people/kirill/packages/moin.git?p=moin.git;a=commitdiff;h=d905d72e11231d93bbf82e4025c5d4e8555325e1
------- Comment #6 From 2008-09-25 18:39:55 -------
Fixed in 1.7.2